urxvt(1)

NAME
urxvtc - control the urxvtd daemon

SYNOPSIS
urxvtc [same options as for urxvt]

DESCRIPTION
This manpage describes the urxvtc client program. It connects to the urxvtd daemon and requests a new terminal window. It takes the same arguments as the urxvt program. The environment will also be respected. Currently, it always returns immediately after contacting the daemon.

OPTIONS
All options that are valid for urxvt are valid for urxvtc, too. Please note that options are interpreted in the context of the daemon process. However, as current working directory, process environment and any file descriptor (e.g. for "-pty-fd") are preserved, this rarely makes a difference.

EXIT STATUS
If everything went well, urxvtc returns with an exit status of 0. If contacting the daemon fails, it exits with the exit status 2. In all other error cases it returns with status 1.

This can be used to implement auto-starting behaviour, by checking for an exit status of 2, running "urxvtd -f -q" and retrying the call to urxvtc, like this:

   #!/bin/sh
   urxvtc "$@"
   if [ $? -eq 2 ]; then
      urxvtd -q -o -f
      urxvtc "$@"
   fi

ENVIRONMENT
All environment variables of the current process will be made available to the new instance, and will be interpreted as if urxvt were started directly.

RXVT_SOCKET
    Both urxvtc and urxvtd use the environment variable RXVT_SOCKET to create a listening socket and to contact the urxvtd, respectively. If the variable is missing, $HOME/.rxvt-unicode-<nodename> is used. The variable must specify the absolute path of the socket to create.

SEE ALSO
urxvt(7), urxvtd(1)